from telegram import Bot
from typing import Union


class TelegramClient:
    def __init__(self, token: str):
        self.bot = Bot(token=token)

    async def get_me(self):
        return await self.bot.get_me()

    async def send_text(self, chat_id: Union[int, str], text: str):
        return await self.bot.send_message(chat_id=chat_id, text=text)
